{%extends "::base.html.twig"%}
{% block stylesheets %}
{{parent()}}
<link rel="stylesheet" href="{{asset('bundles/ecoville/leaflet/leaflet.css')}}">
{% endblock stylesheets %}
{% block body %}
{{parent()}}
<div class="row">
  <div class="col s12 m3 l3">
    {#<p style="text-align: center">
    <a id='signalerzoneinsalubre' href="#modal1" class="modal-trigger btn waves-effect waves-light ev-devient-eco-btn" style="padding-left: 10px;padding-right: 10px; width: 100%">Signalez une zone insalubre</a>
    </p>#}
    <div id="modal1" class="modal modal-fixed-footer" style="width: 40%!important">
      <form action="{{path('ev_web_client_signaler_zone_insalubre')}}" method="post" enctype="multipart/form-data">
        <div class="modal-content" style="padding: 13px">
          {%if not is_granted('IS_AUTHENTICATED_REMEMBERED')%}
          <div class="row">
            <div class="col s12">
              <p style="text-align: center; padding-top: 150px; font-size: 1.5em; font-family: 'RobotoLight'">Vous devez vous connectez avant de signaler une zone insalubre</p>
            </div>
          </div>
          {%else%}
          <div class="row">
            <div class="col s12">
              <p style="color: #777; margin-bottom: 10px; font-weight: bold">Localisez-vous</p>
            </div>
            <div class="col s6">
              <select required="true" class="browser-default" name="ville">
                {%if ville|length>1%}
                <option value="">Choisir votre ville</option>
                {%endif%}
                {%for v in ville%}
                <option value="{{v.id}}">{{v.libelle}}</option>
                {%endfor%}
              </select>
            </div>
            <div class="col s6">
              <select required="true" class="browser-default" name="quartier">
                {%if quartiers and quartiers|length>0%}
                <option value="">Choisir votre quartier</option>
                {%endif%}
                {%for q in quartiers%}
                <option value="{{q.id}}">{{q.libelle}}</option>
                {%endfor%}
              </select>
            </div>
            <div class="col s12">
              <div id="mapsignalerzoneinsalubre" style="width: 100%; height: 150px; background: whitesmoke; margin-top: 5px"></div>
            </div>
            <div class="col s12">
              <span id="zoneinsalubrecoord" style="font-size: 0.8em; color: #777">Cliquer sur la carte pour nous donner plus de précision sur le lieu</span>
              <input type="text" style="display: none" name="lat" id="lat"/>
              <input type="text" style="display: none" name="lon" id="lon"/>
            </div>
          </div>
          <div class="row">
            <div class="col s12">
              <p style=" padding-top: 0px; font-family: 'RobotoLight'; margin-bottom: 10px; font-weight: bold; color: #777">
                Ajouter une image
              </p>
            </div>
            <div class="col s12">
              <div id="downloadphoto_zi" style="height: 125px; width: 100%; background: whitesmoke; cursor: pointer">
                <p id="imgicon" style="text-align: center; padding-top: 10px; margin: 0px;">
                  <i class="mdi-image-image" style="margin-right: 10px; font-size: 5em; color: #ccc; margin-top: 20px"></i>
                </p>
                <p id="preview_photo_zi_container" style="text-align: center; padding: 0px; height: 125px; display: none">
                  <img style="height: 100%" id="preview_photo_zi"/>
                </p>
              </div>
              <input style="display: none" type="file" name="photo" id="photozoneinsalubreinput"/>
            </div>
          </div>
          <div class="row">
            <div class="col s12">
              <textarea  name="description" class="ev-add-comment-textarea" placeholder="Ajouter un commentaire" style="" rows="3"></textarea>
            </div>
          </div>
          <br/><br/>
          {%endif%}
        </div>
        <div class="modal-footer">
          {%if is_granted('IS_AUTHENTICATED_REMEMBERED')%}
          <button type="submit" class="modal-action waves-effect waves-green btn-flat ev-devient-eco-btn" style="color: white">Signaler</button>
          {%else%}
          <a href="{{path('ev_web_client_login_two')}}" class="modal-action waves-effect waves-green btn-flat orange" style="color: white">Connexion</a>
          {%endif%}
          <a href="javascript:void(0)" class="modal-action modal-close waves-effect waves-green btn-flat ">Annuler</a>
        </div>
      </form>
    </div>
    {% if zoneInsalubreLePlusCommenter %}
    <a id="zoneinsalubrepluscommenter-{{zoneInsalubreLePlusCommenter.id}}" class="modal-trigger zoneinsalubremodaldetail" href="#zoneInsalubreModal">
      <div style="width: 100%; height: 200px; {%if zoneInsalubreLePlusCommenter.photo and zoneInsalubreLePlusCommenter.photo.url%}background-image: url('{{asset(zoneInsalubreLePlusCommenter.photo.webPath)}}');{%endif%} background-size: cover; margin-top: 10px">
        <div style="width: 100%; height: 100%; background: rgba(0,0,0,0.3); padding: 10px">
          <div>
            <p style="color: white;">{{zoneInsalubreLePlusCommenter.description}}</p>
          </div>
          <p style="margin-top: 110px; color: white; float: left"><span class="mdi-maps-place"></span> {{zoneInsalubreLePlusCommenter.quartier.libelle}} ({{zoneInsalubreLePlusCommenter.ville.libelle}})</p>
          <p style="margin-top: 110px; float: right; color: white; font-weight: bold">
            <span class="mdi-communication-comment"></span> {%if zoneInsalubreLePlusCommenter.nbreCommentaire%}{{zoneInsalubreLePlusCommenter.nbreCommentaire}} {%else%}0{%endif%}
          </p>
        </div>
      </div>
    </a>
    {% endif %}
    <div style="margin-top: 20px">
      {%for z in zoneInsalubre|slice(0,4)%}
      <a id="zoneinsalubre-{{z.id}}" class="modal-trigger zoneinsalubremodaldetail" href="#zoneInsalubreModal" style="color: black">
        <div style="margin-bottom: 5px">
          <div style="width: 80px; height: 80px; {%if z.photo and z.photo.url%}background-image: url('{{asset(z.photo.webPath)}}');{%else%}background: #777;{%endif%} float: left; margin-right: 5px; background-size: cover; background-repeat: no-repeat"></div>
          <div style="height: 80px">
            <p style="font-size: 0.9em; margin-bottom: 0px">{{z.description}}</p>
            <p style="margin: 0px; margin-top: 5px; font-size: 0.8em;font-family: 'RobotoLight'"><span class="mdi-maps-place"></span> {{z.quartier.libelle}} ({{z.ville.libelle}})</p>
            <p style="margin: 0px; margin-top: 5px">
              <span class="mdi-communication-comment"></span> {%if z.nbreCommentaire%}{{z.nbreCommentaire}} {%else%}0 {%endif%}
            </p>
          </div>
        </div>
      </a>
      {%endfor%}
      <div id="zoneInsalubreModal" class="modal modal-fixed-footer">
        <div class="modal-content" id="zoneInsalubremodalContent">
          <div class="row" id="ev-preloader">
            <div class="col s5"><br/></div>
            <div class="col s2" style="margin-top: 150px">
              {%include 'EVWebClientBundle:ZoneInsalubre:preloader.html.twig'%}
            </div>
            <div class="col s5"><br/></div>
          </div>
        </div>
        <div class="modal-footer" style="height: 65px; padding-top: 8px!important">
          {%if is_granted('IS_AUTHENTICATED_REMEMBERED')%}
          <div class="row">
            <div class="col s9">
              <div class="input-field col s12" style="margin: 0px; height: 45px">
                <textarea id="ev_comment_zi" class="materialize-textarea ev-add-comment-zoneinsalubre" placeholder="Ajouter un commentaire" autofocus="true"></textarea>
              </div>
            </div>
            <div class="col s3">
              <a href="javascript:void(0)" class="modal-action waves-effect waves-green btn-flat ev-comment-zi-btn">Commenter</a>
            </div>
          </div>
          {%else%}
          <div class="row">
            <div class="col s8">
              <p style="text-align: right; font-family: 'RobotoLight'">Connectez-vous pour commenter cette alerte</p>
            </div>
            <div class="col s4">
              <a href="{{path('ev_particulier_login')}}" class="modal-action waves-effect waves-green btn-flat orange" style="color: white">Connexion</a>
            </div>
          </div>
          {%endif%}
        </div>
      </div>
    </div>
  </div>
  <div class="col s12 m9 l9" style="padding: 0px">
    <div id='map' style="height: 600px; width: 100%; z-index: 0"></div>
  </div>
</div>
<div class="fixed-action-btn" style="bottom: 45px; right: 24px;">
  <a id='signalerzoneinsalubre' href="#modal1" class="modal-trigger btn-floating btn-large red" style="background: #f44336!important">
    <i class="large mdi-social-notifications-on tooltipped" data-position="left" data-delay="50" data-tooltip="Signalez une zone insalubre"></i>
  </a>
</div>
{% endblock %}
{% block javascripts %}
<script src="{{asset('bundles/ecoville/leaflet/leaflet.js')}}"></script>
{{parent()}}
<script>
//alert(geoplugin_city() );
var tailleEcran = window.innerHeight;
document.getElementById('map').style.height = tailleEcran - (49 + 45) + 'px';
var map = L.map('map').setView([6.371, 2.40987], 14);
var LeafIcon = L.Icon.extend({
  options: {
    iconSize: [32, 51],
    iconAnchor: [16, 51],
    popupAnchor: [0, -51]
  }
});
var greenIcon = new LeafIcon({iconUrl: '{{asset('bundles/ecoville/img/markers/green.png')}}'});
var redIcon = new LeafIcon({iconUrl: '{{asset('bundles/ecoville/img/markers/red.png')}}'});
L.tileLayer('https://api.tiles.mapbox.com/v4/{id}/{z}/{x}/{y}.png?access_token={accessToken}', {
  attribution: '&copy; <a href="">EcoVille</a> ',
  id: 'oscargbadou.ne6dkf8k',
  accessToken: 'pk.eyJ1Ijoib3NjYXJnYmFkb3UiLCJhIjoiY2llaGxyMjEyMDAyaXNtbHpoaHhtc3I1ZiJ9.QXsyMXaiINgfnJW4krUk1w#3/0.00/0.00'
}).addTo(map);
{%for z in zoneInsalubre%}
{#            {%if z.actif == '1'%}#}
L.marker([{{z.lat}}, {{z.lon}}], {icon: redIcon})
.addTo(map)
.bindPopup('<div style="width: 300px; height: 125px">' +
'<div onclick="test()" id="zoneinsalubremap-{{z.id}}" class="zoneinsalubremap" style="cursor: pointer; width: 100px; height: 100px; {%if z.photo and z.photo.url%}background-image: url({{asset(z.photo.webPath)}});{%else%}background: #777;{%endif%} float: left; margin-right: 5px; background-size: cover; background-repeat: no-repeat"></div>' +
'<div style="margin-left: 5px">' +
'<p style="font-size: 1em; margin: 0px; height: 35px">{{z.description}}</p>' +
'<p style="margin: 0px; margin-top: 5px; font-size: 1em; height: 30px"><span class="mdi-maps-place"></span> {%if z.quartier%}{{z.quartier.libelle}}{%endif%} ({{z.ville.libelle}})</p><p style="margin: 0px; margin-top: 2px; height: 30px"><span class="mdi-communication-comment" style="font-size: 1.8em"></span> {%if z.nbreCommentaire%}{{z.nbreCommentaire}} {%else%}0 {%endif%} <span>{%if z.campagneCreer%}<a href="{{path('ev_web_client_rendre_propre', {'idZoneInsalubre': z.id})}}" style="color: white; margin-left: 15px;" class="tooltipped" data-position="right" data-delay="50" data-tooltip="Particier à sa mise au propre" title="Particier à sa mise au propre"><span class="mdi-action-delete" style="color: green; font-size: 1.8em"></span></a>{%else%}<a href="{{path('ev_web_client_rendre_propre', {'idZoneInsalubre': z.id})}}" style="margin-left: 15px" class="tooltipped" data-position="right" data-delay="50" data-tooltip="Rendre propre" title="Rendre propre"><span class="mdi-action-delete" style="color: green; font-size: 1.8em"></span> </a>{%endif%}</span></p></div><div style="clear: both"></div><div class="row"><div class="col s12"> <p style="text-align: center; padding-top: 10px; margin: 0px"><a href="{{path('ev_web_client_zone_insalubre_de_la_meme_zone', {'id': z.id})}}">Voir les alertes de la même zone</a></p></div></div></div>');{#            {%else%}#}
{# L.marker([{{z.lat}}, {{z.lon}}], {icon: redIcon})
.addTo(map)
.bindPopup('');#}
{#                        .bindPopup('<div style="width: 300px; height: 150px"><img src="{{image(z.photo.webPath).resize(150,150)}}" style="float: left; margin-right: 5px"/><span>{{z.description}}<br/><br/><a href="{{path('ev_web_client_rendre_propre', {'idZoneInsalubre': z.id})}}" style="padding: 10px; border-radius:3px" class="btn-yellow waves-button waves-effect waves-light">RENDRE PROPRE</a></span></div>');#}
{#            {%endif%}#}
{%endfor%}

/*
L.marker([6.371, 2.40987], {icon: greenIcon}).addTo(map);
function onMapClick(e) {
alert("You clicked the map at " + e.latlng);
}
*/

{#        map.on('click', onMapClick);#}
{#
  map.locate({setView: true, watch: true}) /* This will return map so you can do chaining */
  .on('locationfound', function(e) {
    var marker = L.marker([e.latitude, e.longitude]).bindPopup('Vous êtes ici!');
    map.addLayer(marker);
  })
  .on('locationerror', function(e) {
    console.log(e);
    alert("Location access denied.");
  });#}
  </script>

  <script>
  {%if is_granted('IS_AUTHENTICATED_REMEMBERED')%}
  $("#signalerzoneinsalubre").click(function () {
    localiserLieuDeSignalement();
  });
  {%endif%}
  function localiserLieuDeSignalement() {
    var locatesignalmap = L.map('mapsignalerzoneinsalubre', {zoom: 14});
    L.tileLayer('https://api.tiles.mapbox.com/v4/{id}/{z}/{x}/{y}.png?access_token={accessToken}', {
      attribution: '&copy; <a href="">EcoVille</a> ',
      id: 'oscargbadou.ne6dkf8k',
      accessToken: 'pk.eyJ1Ijoib3NjYXJnYmFkb3UiLCJhIjoiY2llaGxyMjEyMDAyaXNtbHpoaHhtc3I1ZiJ9.QXsyMXaiINgfnJW4krUk1w#3/0.00/0.00'
    }).addTo(locatesignalmap);
    locatesignalmap.locate({setView: true})
    .on('locationfound', function (e) {
      map.setZoom(14);
      $("#lat").val(e.latitude);
      $("#lon").val(e.longitude);
      //$("#zoneinsalubrecoord").html('Lat: ' + e.latitude + ' Lon: ' + e.longitude);
      L.marker([e.latitude, e.longitude]).addTo(locatesignalmap)
      .bindPopup('Vous êtes ici')
      .openPopup();
    }).on('locationerror', function (e) {
      alert('echec localisation');
    });
    locatesignalmap.on('click', onLocateZoneInsalubreMapClick);
  }

  function onLocateZoneInsalubreMapClick(e) {
    console.log(e.latlng);
    $("#lat").val(e.latlng.lat);
    $("#lon").val(e.latlng.lng);
    $("#zoneinsalubrecoord").html('Lat: ' + e.latlng.lat + ' Lon: ' + e.latlng.lng);
  }
  </script>
  {% endblock %}
